Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfilePanel Class Reference
GoSdk/Tools » Profile

## Description

Represents a profile panel tool.

Inheritance diagram for GoProfilePanel:

## Public Member Functions
GoProfilePanelFlush | GoProfilePanel_FlushMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Flush measurement object. More...
GoProfilePanelGap | GoProfilePanel_GapMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Gap measurement object. More...
GoProfilePanelGap | GoProfilePanel_GapPoint (GoProfilePanel tool)
| Returns a GoProfilePanel Right Flush X measurement object. More...
GoProfileEdge | GoProfilePanel_LeftEdge (GoProfilePanel tool)
| Gets the left profile edge. More...
GoProfilePanelLeftFlushPoint | GoProfilePanel_LeftFlushPoint (GoProfilePanel tool)
| Returns a GoProfilePanel left flush point feature object. More...
GoProfilePanelGap | GoProfilePanel_LeftFlushXMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Left Flush X measurement object. More...
GoProfilePanelGap | GoProfilePanel_LeftFlushZMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Left Flush Z measurement object. More...
GoProfilePanelLeftGapPoint | GoProfilePanel_LeftGapPoint (GoProfilePanel tool)
| Returns a GoProfilePanel Left gap point featuret object. More...
GoProfilePanelGap | GoProfilePanel_LeftGapXMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Left Gap X measurement object. More...
GoProfilePanelGap | GoProfilePanel_LeftGapZMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Left Gap Z measurement object. More...
GoProfilePanelGap | GoProfilePanel_LeftSurfaceAngleMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Left Surface Angle measurement object. More...
k64f | GoProfilePanel_MaxGapWidth (GoProfilePanel tool)
| Gets the maximum gap width. More...
GoProfilePanelSide | GoProfilePanel_RefEdgeSide (GoProfilePanel tool)
| Gets the reference edge side. More...
GoProfileEdge | GoProfilePanel_RightEdge (GoProfilePanel tool)
| Gets the right profile edge. More...
GoProfilePanelRightFlushPoint | GoProfilePanel_RightFlushPoint (GoProfilePanel tool)
| Returns a GoProfilePanel right flush point feature object. More...
GoProfilePanelGap | GoProfilePanel_RightFlushZMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Right Flush Z measurement object. More...
GoProfilePanelRightGapPoint | GoProfilePanel_RightGapPoint (GoProfilePanel tool)
| Returns a GoProfilePanel right gap point feature object. More...
GoProfilePanelGap | GoProfilePanel_RightGapXMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Right Gap X measurement object. More...
GoProfilePanelGap | GoProfilePanel_RightGapZMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Right Gap Z measurement object. More...
GoProfilePanelGap | GoProfilePanel_RightSurfaceAngleMeasurement (GoProfilePanel tool)
| Returns a GoProfilePanel Right Surface Angle measurement object. More...
kStatus | GoProfilePanel_SetMaxGapWidth (GoProfilePanel tool, k64f width)
| Sets the maximum gap width. More...
kStatus | GoProfilePanel_SetRefEdgeSide (GoProfilePanel tool, GoProfilePanelSide side)
| Sets the reference edge side. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetStream (GoProfileTool tool, GoDataStream stream)
| Sets the data stream. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
GoDataStream | GoProfileTool_Stream (GoProfileTool tool)
| Gets the data stream. More...
GoDataStream | GoProfileTool_StreamOptionAt (GoProfileTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoProfileTool_StreamOptionCount (GoProfileTool tool)
| Gets the data stream option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
| Adds the given custom measurement to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureDataType type)
| Retrieves the first found instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h